import java.util.ArrayList;

/**
 * repraesentiert einen Bankkunden in der Banksimulation
 * @author Martin Ploetz
 *
 */
public class Kunde {

	private final String name;
	private ArrayList<Konto> konten;
	
	/**
	 * Kunde-Konstruktor
	 * @param name Name des Kunden
	 */
	public Kunde(String name) {
		this.name = name;
		konten = new ArrayList<Konto>();
	}
	
	public String getName() {
		return name;
	}

	/**
	 * fuegt der Kontenliste des Kunden ein Konto hinzu
	 * @param konto
	 */
	public void addAccount(Konto konto) {
		konten.add(konto);
	}

}
